Package twisted :: Package trial :: Module util

[show private | hide private]
[frames | no frames]

## Module twisted.trial.util

Function Summary
| ``deferredError`(d, timeout)` Waits for deferred to fail, and it returns the Failure.
| ``deferredResult`(d, timeout)` Waits for a Deferred to arrive, then returns or throws an exception, based on the result.
| ``extract_tb`(tb, limit)` Extract a list of frames from a traceback, without unittest internals.
| ``format_exception`(eType, eValue, tb, limit)` A formatted traceback and exception, without exposing the framework.
| `isTestCase(testCase)`
| `isTestClass(testClass)`
| `reactorCleanUp()`

Function Details

### deferredError(d, timeout=None)

Waits for deferred to fail, and it returns the Failure.

If the deferred succeeds, raises FailTest.

### deferredResult(d, timeout=None)

Waits for a Deferred to arrive, then returns or throws an exception, based on the result.

### extract_tb(tb, limit=None)

Extract a list of frames from a traceback, without unittest internals.

Functionally identical to `traceback.extract_tb`, but cropped to just the test case itself, excluding frames that are part of the Trial testing framework.

### format_exception(eType, eValue, tb, limit=None)

A formatted traceback and exception, without exposing the framework.

I am identical in function to `traceback.format_exception`, but I screen out frames from the traceback that are part of the testing framework itself, leaving only the code being tested.

Generated by Epydoc 1.1 on Thu May 8 13:16:56 2003 | http://epydoc.sf.net